# This Makefile.PL for Atomic-Pipe was generated by
# Dist::Zilla::Plugin::MakeMaker::Awesome 0.48.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use 5.010000;
use ExtUtils::MakeMaker;

use Config qw/%Config/;
die "Platform ($^O) not supported, patches welcome!\n"
  if $^O =~ m/(dos|os2)/i;
if ($ENV{AUTOMATED_TESTING}) {
    my $is_njh = 0;
    $is_njh ||= -d '/export/home/njh';
    $is_njh ||= -d '/home/njh';
    $is_njh ||= lc($ENV{USER} // 'na') eq 'njh';
    $is_njh ||= lc($ENV{HOME} // 'na') =~ m{njh$};
    $is_njh ||= lc($ENV{PATH} // 'na') =~ m{/njh/};
    die "OS unsupported\nNJH smokers are broken, aborting tests.\n"
        if $is_njh;
}

my %WriteMakefileArgs = (
  "ABSTRACT" => "Send atomic messages from multiple writers across a POSIX pipe.",
  "AUTHOR" => "Chad Granum <exodist\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Atomic-Pipe",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010000",
  "NAME" => "Atomic::Pipe",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Errno" => 0,
    "Fcntl" => 0,
    "IO::Handle" => "1.27",
    "List::Util" => "1.44",
    "POSIX" => 0,
    "Scalar::Util" => 0,
    "bytes" => 0,
    "constant" => 0
  },
  "TEST_REQUIRES" => {
    "Test2::V0" => "0.000127"
  },
  "VERSION" => "0.011",
  "test" => {
    "TESTS" => "t/*.t"
  }
);

my %FallbackPrereqs = (
  "Carp" => 0,
  "Errno" => 0,
  "Fcntl" => 0,
  "IO::Handle" => "1.27",
  "List::Util" => "1.44",
  "POSIX" => 0,
  "Scalar::Util" => 0,
  "Test2::V0" => "0.000127",
  "bytes" => 0,
  "constant" => 0
);

unless ( eval { ExtUtils::MakeMaker->VERSION('6.63_03') } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
